Summarize PDF
Last updated
Was this helpful?
To get the summary of a PDF you just need docId of the PDF. To get docId upload the PDF first.
You can get the summary in the language you want using the language field. The default language is English.
The summary result will not be saved as a Chat. To save your chat history use chat API
POST https://pdf.ai/api/v1/summary
To get the summary of the PDF using its docId
X-API-Key*
string
<API-Key>
docId*
string
Document ID obtained after uploading PDF
language
string
Summary language e.g., "french"
use_gpt4
boolean
To get response using GPT-4 model. Default model: gpt-4-turbo
model
string
To choose GPT-4 model "gpt-4o" or "gpt-4-turbo"(default)
{
"content": "This is the summary of the PDF"
}{
"error": "Invalid API key"
}{
"error": "No API key present"
}Last updated
Was this helpful?
Was this helpful?